Commit 702c7ca8 authored by Alexey Min's avatar Alexey Min
Browse files

Fix displaying OpenGL info on wayland: do not require OpenGL 3.2

Summary:
Removing the requirement of 3.2 version just fixes it for my AMD RX560 on amdgpu opensource driver, which only has 2.1 version.

Test Plan: Run kinfocenter, choose Graphical information - OpenGL tab. It should open without errors.

Reviewers: #plasma, graesslin, davidedmundson

Reviewed By: #plasma, davidedmundson

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D12003
parent 5d247348
......@@ -860,8 +860,6 @@ static QTreeWidgetItem *get_gl_info_egl_qt(QTreeWidgetItem *l1, QTreeWidgetItem
surface.create();
QOpenGLContext context;
QSurfaceFormat format;
format.setMajorVersion(3);
format.setMinorVersion(2);
format.setProfile(profile);
context.setFormat(format);
if (!context.create()) {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment